# $Revision: 1.32 $, $Date: 2004/05/27 13:48:27 $
%define		sndver	1.4.0
%define		imgver	1.7.0
Summary:	Crossfire client
Summary(pl):	Klient Crossfire
Name:		crossfire-client
Version:	1.7.0
Release:	3
License:	GPL
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/crossfire/%{name}-%{version}.tar.gz
# Source0-md5:	ef405f78d54be0bf22feeef6b4fc0d73
Source1:	http://dl.sourceforge.net/crossfire/%{name}-sounds-%{sndver}.tar.gz
# Source1-md5:	1b33401d9d2af0d391fee7ad04282cfd
Source2:	http://dl.sourceforge.net/crossfire/%{name}-images-%{imgver}.tar.gz
# Source2-md5:	cbf4b4480bd6fd28cf0e71a06b288127
Patch0:		%{name}-big_endian.patch
Patch1:		%{name}-memleak.patch
Patch2:		%{name}-sdl_free.patch
Patch3:		%{name}-sdl_darkness.patch
URL:		http://crossfire.real-time.com/
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	gtk+-devel
BuildRequires:	perl
Requires:	%{name}-common = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X11 client to crossfire.

Crossfire is a multiplayer graphical arcade and adventure game made
for the X-Window environment. There are also Windows and Java clients
available.

It has certain flavours from other games, especially Gauntlet (TM) and
Nethack/Moria.

Any number of players can move around in their own window, finding and
sing items and battle monsters. They can choose to cooperate or
compete in the same "world".

%description -l pl
Klient Crossfire pod X11.

Crossfire to graficzna gra przygodowa dla rodowiska X-Window. S
take dostpni klienci pod Windows i w Javie. czy cechy z kilku
gier, gwnie Gauntleta i Nethacka/Morii.

Dowolna liczba graczy moe si porusza w swoich oknach, szukajc
przedmiotw i walczc z potworami. Mog gra w kooperacji lub
przeciwko sobie w tym samym "wiecie".

%package sounds
Summary:	Crossfire sounds
Summary(pl):	Dwiki do Crossfire
Group:		Applications/Games
Requires:	%{name}-common = %{version}

%description sounds
Some sound files and the sound server for crossfire.

%description sounds -l pl
Pliki dwikowe i serwer dwiku dla Crossfire.

%package gtk
Summary:	GTK Crossfire client
Summary(pl):	Klient Crossfire pod GTK
Group:		Applications/Games
Requires:	%{name}-common = %{version}

%description gtk
GTK client to crossfire.

Crossfire is a multiplayer graphical arcade and adventure game made
for the X-Window environment. There are also Windows and Java clients
available.

It has certain flavours from other games, especially Gauntlet (TM) and
Nethack/Moria.

Any number of players can move around in their own window, finding and
sing items and battle monsters. They can choose to cooperate or
compete in the same "world".

%description gtk -l pl
Klient Crossfire pod GTK.

Crossfire to graficzna gra przygodowa dla rodowiska X-Window. S
take dostpni klienci pod Windows i w Javie. czy cechy z kilku
gier, gwnie Gauntleta i Nethacka/Morii.

Dowolna liczba graczy moe si porusza w swoich oknach, szukajc
przedmiotw i walczc z potworami. Mog gra w kooperacji lub
przeciwko sobie w tym samym "wiecie".

%package images
Summary:	Crossfire images
Summary(pl):	Obrazki do Crossfire
Group:		Applications/Games
Requires:	%{name}-common = %{version}

%description images
Some images extracted from server for Crossfire.

%description images -l pl
Troch obrazkw wycignitych z serwera do Crossfire.

%package common
Summary:	Common Crossfire clients files
Summary(pl):	Pliki wsplne wszystkich klientw Crossfire
Group:		Applications/Games

%description common
This package includes files common to all Crossfire clients.

%description common -l pl
Ten pakiet zawiera pliki wsplne dla wszystkich klientw Crossfire.

%prep
%setup  -q -a1
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
mv -f sounds cfsounds
%if %{?_without_images:0}%{?!_without_images:1}
install -d images
cd images
tar xzf %{SOURCE2}
cd ..
%endif

%build
%configure \
	%{?debug:--enable-debug} \
	--disable-alsa \
	--with-sound-dir=%{_datadir}/%{name}/sounds
perl -i -p -e 's/\#define HAVE_DMALLOC_H 1/\/\* \#undef HAVE_DMALLOC_H \*\//' common/config.h
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_datadir}/%{name}/sounds}

install x11/cfclient gtk/gcfclient sound-src/cfsndserv $RPM_BUILD_ROOT%{_bindir}
install x11/cfclient.man $RPM_BUILD_ROOT%{_mandir}/man1/cfclient.1
install gtk/gcfclient.man $RPM_BUILD_ROOT%{_mandir}/man1/gcfclient.1
install cfsounds/*.raw $RPM_BUILD_ROOT%{_datadir}/%{name}/sounds/
%if %{?_without_images:0}%{?!_without_images:1}
install images/bmaps.client images/crossfire.base images/crossfire.clsc \
	$RPM_BUILD_ROOT%{_datadir}/%{name}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cfclient
%{_mandir}/man?/cf*

%files common
%defattr(644,root,root,755)
%doc CHANGES README
%dir %{_datadir}/%{name}

%files sounds
%defattr(644,root,root,755)
%doc cfsounds/README
%attr(755,root,root) %{_bindir}/cfsndserv
%{_datadir}/%{name}/sounds

%if %{?_without_images:0}%{?!_without_images:1}
%files images
%defattr(644,root,root,755)
%{_datadir}/%{name}/bmaps.client
%{_datadir}/%{name}/crossfire.base
%{_datadir}/%{name}/crossfire.clsc
%endif

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/g*
%{_mandir}/man?/g*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossfire-client.spec,v $
Revision 1.32  2004/05/27 13:48:27  jajcus
- Release: 3
- various fixes from Crossfire CVS (see patch commit-logs for details)
- --enable-debug when building with --debug

Revision 1.31  2004/05/06 07:32:55  jajcus
- Release: 2 (no signals that it doesn't work on PPC or SPARC)

Revision 1.30  2004/04/30 07:38:10  jajcus
- trying to fix build on big endian machines

Revision 1.29  2004/04/26 13:42:57  jajcus
- images version 1.7.0

Revision 1.28  2004/04/26 13:01:32  jajcus
- Version: 1.7.0
- workaround for the broken build system in this version (cannot rebuild configure) to disable dmalloc

Revision 1.27  2004/04/16 13:42:04  jajcus
- Version: 1.6.1

Revision 1.26  2003/08/06 16:52:02  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.25  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.24  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 05:46:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/08 10:33:13  qboosh
- use http for sources from sourceforge

Revision 1.21  2003/03/10 14:03:54  wiget
- added dmalloc.patch (allow disabling dmalloc support)
- disable dmalloc support
- added errno.patch (detect errno.h and include if present)

Revision 1.20  2003/03/03 18:33:07  jajcus
- Version: 1.5.0

Revision 1.19  2003/01/18 22:45:27  juandon
- removed two lines with define

Revision 1.18  2002/12/05 17:46:43  wiget
- updated to 1.4.0

Revision 1.17  2002/10/07 10:32:19  qboosh
- BR: autoconf

Revision 1.16  2002/08/06 10:24:20  kloczek
- fix %files in sounds subpackage.

Revision 1.15  2002/08/04 09:52:49  kloczek
- fixed %files list in %doc in sound subpackage.

Revision 1.14  2002/08/01 20:28:11  qboosh
- added missing pl descriptions

Revision 1.13  2002/07/19 16:24:01  jajcus
- do not run aclocal (aclocal.m4 included in the sources is not autogenerated)
- --enable-sdl removed (this was disabling sdl support, exactly the same way as --disable-dsdl)

Revision 1.12  2002/07/19 14:12:01  wiget
- use sounds from project page
- added -images subpackages
- added sdl.patch for fixing SDL_image detection
- added -common subpackage with documentation and shared dir

Revision 1.11  2002/07/19 13:57:48  jajcus
- Version: 1.3.0
- BuildRequires: SDL-devel & SDL_image-devel
- merge from DEVEL

Revision 1.10  2002/04/25 16:07:23  arturs
fixed a small typo

Revision 1.9  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/13 14:42:20  qboosh
- pl translations

Revision 1.5  2001/05/14 16:50:09  jajcus
STB
- do not fix sound paths. It is already done in makefiles
- change sounds directory as "sound" file will be created by makefile
- BuildRequires: perl
- Version: 1.0.0

Revision 1.4  2001/04/17 09:03:09  jajcus
- Version: 0.98.0

Revision 1.3  2001/02/02 15:29:07  jajcus
- sounds added (as subpackage)
- gtk subpackage does not require main subpackage any more

Revision 1.2  2001/01/29 11:42:21  jajcus
- def_keys added to doc

Revision 1.1  2001/01/29 11:33:13  jajcus
- new spec
